$(document).ready(function() {

// inicijelno davanje vrednosti text boxu za unos komentara
$("#comment").val('Mesto za Vaš komentar...');

// nakon klika na text box
$(document).on('focus', '#comment', function() { 
  
  if( $("#comment").val() == 'Mesto za Vaš komentar...') { // uklanjanje inicijelnog texta 
	  $("#comment").val(''); 
  } 
  
  
  if ($('#comentresult').is(':visible')) { // ukoliko je komentar poslat resetovanje polja 
   
   $("#comment").val(''); 
   $("#ime").val(''); 
   $("#email").val(''); 
   
   
   if($('.cfc').hasClass('has-success')) {$('.cfc').removeClass('has-success')}
   if($('.cfc').hasClass('has-error')) {$('.cfc').removeClass('has-error')}
   
   $('.ibinfo').html('&nbsp;');
  
  }
  
  if ($('#comentresult').is(':visible')) {
	  $("#comentresult").hide('slow');
  }
  if ($('#sendbox').is(':hidden')) { //  otvaranje polja za unos podataka
	  $('#sendbox').slideDown('slow');
  } 


});

// zatvaranje forme 
$(document).on('click', '.zatvori', function() {  
  $("#sendbox").slideUp('slow');
  if( jQuery.trim($("#comment").val()) == '') { // uklanjanje inicijelnog texta 
	  $("#comment").val('Mesto za Vaš komentar...'); 
  }
  
  return false; 
});

// odgovaranje na vec postavljene komentare


$(document).on('click', '.coomentreplay', function() { 

  var parent = $(this).attr("rel");
  var user_id = $("#user_id").val();
  var aid = $("#aid").val();
  var kid = $("#kid").val();
  
  if ($('#coomentbox').length) {$('#coomentbox').remove();}
  if ($('#comentresult').length) {$('#comentresult').remove();}
  if ($('.replayform').length) {$(".replayform").remove();}
  if ($('.novikomentar').length) {$('.novikomentar').remove();}
  
  $('.cline').first().before('<span class="novikomentar">Klikni da napises novi komentar</span>');
  
  $(this).parent().parent().parent().after('<div class="replayform">&nbsp;</div>');
  
  $('.replayform').html('<img src="/files/images/ucitavanje.gif" width="66" height="66" />');
  
  $.post('/ajax-commentform', {'parent' : parent, 'user_id' : user_id, 'aid' : aid, 'kid' : kid}, function(data){	  
	  $('.replayform').html(data);	  
  });
  
  return false; 
});


// ponovo novi komentar


$(document).on('click', '.novikomentar', function() { 

  var aid = $("#aid").val();
  var kid = $("#kid").val()

  if ($('#coomentbox').length) {$('#coomentbox').remove();}
  if ($('#comentresult').length) {$('#comentresult').remove();}
  if ($('.replayform').length) {$(".replayform").remove();}
  if ($('.novikomentar').length) {$('.novikomentar').remove();}
  
  $('.cline').first().before('<div class="replayform">&nbsp;</div>');
  
  
  $('.replayform').html('<img src="/files/images/ucitavanje.gif" width="66" height="66" />');
  
  $('.replayform').load('/commentform/');
  $.post('/ajax-commentform',  {'aid' : aid, 'kid' : kid}, function(data){
	  $('.replayform').html(data);		
  });
    
  return false; 
  
});

// Provere

var nameError  = false;
var emailError = false;
var commError  = false;

// provera imena

function checkName(){
	
	nameError = false;
	var alertfield = $('#ime').parent().find('.ibinfo')
    var ime = jQuery.trim($('#ime').val());
    var imeduzina = ime.length;
	
	if ( ime == '') {alertfield.html('Niste uneli Vaše ime.'); $('#ime').parent().addClass('has-error'); nameError = true;}
	else if (  imeduzina < 3) {alertfield.html('Ime ne moze biti krace od 3 slova'); $('#ime').parent().addClass('has-error'); nameError = true;}
	else {$('#ime').parent().addClass('has-success');}
}

$(document).on('focus', '#ime', function() {
	
  $(this).parent().find('.ibinfo').html('&nbsp;');
  if($(this).parent().hasClass('has-success')) {$(this).parent().removeClass('has-success')}
  if($(this).parent().hasClass('has-error')) {$(this).parent().removeClass('has-error')}

});

$(document).on('blur', '#ime', function() {
 checkName();
});


// provera emaila



$(document).on('focus', '#email', function() {
	
  $(this).parent().find('.ibinfo').html('&nbsp;');
  if($(this).parent().hasClass('has-success')) {$(this).parent().removeClass('has-success')}
  if($(this).parent().hasClass('has-error')) {$(this).parent().removeClass('has-error')}

});

function checkEmail(){
	
    emailError = false;
   
    var alertfield = $('#email').parent().find('.ibinfo')
   
	var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;

	var emailaddressVal = jQuery.trim($('#email').val());
	
	if(emailaddressVal == '') {
		alertfield.html('Niste uneli e-mail adresu.');
		$('#email').parent().addClass('has-error');
		emailError = true;
	}

	else if(!emailReg.test(emailaddressVal)) {
		alertfield.html('Unesite ispravnu e-mail adresu.');
		$('#email').parent().addClass('has-error');
		emailError = true;
	}
   else {$('#email').parent().addClass('has-success');}

}

$(document).on('blur', '#email', function() {
	 checkEmail();
});





 // poslji proces
 
 
$(document).on('click', '#posalji', function() {

var komentar = jQuery.trim($('#comment').val());

checkName();
checkEmail();

if ( komentar == '' ) {
	
	alert('Niste napisali komentar'); 
	commError  = true;
	return false;
	
} else if (nameError) {
	
	alert('Proverite uneto ime'); 
	return false; 
	
} else if (emailError) {
	
	alert('Proverite unet e-mail'); 
	return false; 
	
} else {
	
	$('#sendbox').hide('slow');
	$('#comentresult').show('slow');	
	
	var post = $('#commentsform').serialize();
	
	$.post("/ajax-proceskoment", post, function(data) {
		
		$('#comentresult').html(data);
		$('#comment').val('Mesto za vas komentar...');  
		   			
	 }); 
	 
	return false;

} // ukoliko je sve ok

return false;
}); 




});